﻿package
{
	import flash.display.Sprite;
	import flash.display.Stage;
	import flash.events.Event;
	import flash.events.MouseEvent;
	public class Brancher extends Sprite
	{
		private var rot:Number;
		private var theta:Number=0;
		private var stack:Array = new Array();
		private var i:Number;
		private var centerX:Number;
		private var centerY:Number;
		public function Brancher()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(MouseEvent.CLICK,clickHandler);
		}
		private function clickHandler(e:MouseEvent):void
		{
			centerX = e.stageX;
			centerY = e.stageY;
			theta= Math.random()*2;
			i=0;
			addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			rot=-360*Math.sin(Math.PI / 300 * theta);
			theta+=0.2;
			if(i<30){
				stack[i] = new Sprite();
				stack[i].graphics.beginFill(0x023450,Math.random()*0.2);
				stack[i].graphics.lineStyle(.2,0xfffff0,0.2);
				//stack[i].graphics.drawRect(119,7,10,10);
				stack[i].graphics.drawCircle(Math.random()*0.1,Math.random(),7);
				stack[i].graphics.drawCircle(Math.random(),Math.random(),10);
				stack[i].graphics.drawCircle(Math.random(),Math.random(),20);
				stack[i].graphics.drawCircle(Math.random(),Math.random(),50);
				stack[i].graphics.drawCircle(Math.random(),Math.random(),100);
				stack[i].x = centerX+Math.cos(rot)*i*3;
				stack[i].y = centerY-Math.sin(rot)*i*3;
				stack[i].scaleX =1-i/80;
				stack[i].scaleY =1-i/80;
				addChild(stack[i]);
				i++;
			}else{
				removeEventListener(Event.ENTER_FRAME,enterHandler);
			}
		}
	}
}